/*
*  Calcule le plus n tel que 1/n < borne
*
* borne : borne inférieure à atteindre
* valeur finale : n tel u(n) < borne
*/
int termeU(double borne) {
  int n = 1;
  double u = 1;
  
  while (u >= borne) {
    n = n + 1;
    u = 1.0 / n;
  }
  
  return n;
}

/*
*  Calcule le plus n tel que Somme(1/k) > borne
*
* borne : borne supérieure à atteindre
* valeur finale : n tel Somme u(k) > borne
*/
int termeS(double borne) {
  int n = 1;
  double s = 1;
  
  while (s <= borne) {
    n = n + 1;
    s += 1.0 / n;
  }
  
  return n;
}


void setup() {
  println(termeU(0.01)); 
  println(termeS(2)); 
}
